#!BuildIgnore:          post-build-checks
# norootforbuild

%define major     0
%define lib       libfaac
%define libname   %{lib}%{major}

Name:           faac
Summary:        frontend for encoding MPEG2/4 AAC
Summary(de):    Frontend zum Encodieren von MPEG2/4 AAC
Version:        1.28
Release:        15.14
License:        GPL v2 or later
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://www.audiocoding.com/

Source0:        faac-1.28.tar.bz2

Patch0:         faac_configure_in.patch
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}
Prefix:         %{_prefix}
Requires:       %{libname} = %{version}-%{release}
Requires:       libfaad2 >= 2.7
BuildRequires:  libfaad-devel >= 2.7
BuildRequires:  libmp4v2-devel
BuildRequires:  gcc
BuildRequires:  libstdc++
BuildRequires:  libstdc++-devel

%description
FAAC is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC encoder, completely
written from scratch. FAAC is licensed under the GPL.

%description -l de
FAAC ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Encoder.

%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of faac
Summary(de):    Bibliotheken zu faac
Requires:       libfaad2 >= 2.7
Provides:       %{lib} = %{version}-%{release}

%description -n %{libname}
Shared library part of faac

%description -n %{libname} -l de
Bibliotheken zu faac

%package -n %{lib}-devel
Group:          Development/Libraries/C and C++
Summary:        Header files and static library for the faac library
Summary(de):    Header Dateien und statische Bibliotheken für die faac Bibliothek
Requires:       %{libname} = %{version}-%{release}
Requires:       libfaad-devel >= 2.7
Requires:       libmp4v2-devel
Requires:       libstdc++
Requires:       libstdc++-devel
Provides:       %{libname}-devel = %{version}-%{release}
Provides:       faac-devel = %{version}-%{release}

%description -n %{lib}-devel
Header files and static library for the faac library

%description -n %{lib}-devel -l de
Header Dateien und statische Bibliotheken für die faac Bibliothek

%debug_package

%prep
%setup -qn faac-%{version}
%patch0

%build
autoreconf -vif
export LDFLAGS="-lmp4v2"
%configure --with-mp4v2
%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/faac.1.gz

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/*


%changelog
* Mon Jun 29 2009 Carsten Schoene <cs@linux-administrator.com> 1.28-15
- import for SLE_10 build
